Bug 3803 - Show PO Number and ISSN in orderline of basket display
Summary: Show PO Number and ISSN in orderline of basket display
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.4
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Henri-Damien LAURENT
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 3561
  Show dependency treegraph
 
Reported: 2009-11-23 11:22 UTC by Colin Campbell
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Patch including ISSN in display (1.69 KB, patch)
2011-04-05 16:04 UTC, Colin Campbell
Details | Diff | Splinter Review
Signed off patch (1.75 KB, patch)
2011-04-06 08:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:15:11 UTC


---- Reported by colin.campbell@ptfs-europe.com 2009-11-23 11:22:39 ----

Show the Purchase Order Number in the order line of the basket display
Also show the ISSN if present in addition to the ISBN to accomodate serials orders

The feature sponsored by the Food and Agriculture Organisation of the United Nations



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-02-09 10:18:35 ----

Fields which are central to the UN FAO system are no longer present in 3.2 Acq.
Once 3.2 is out will try to reconcile requirements for invoice handling and order history with 3.2 version as an enhancement



---- Additional Comments From gmcharlt@gmail.com 2010-02-09 11:30:00 ----

Are the fields in question gone entirely, or just not display?



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-02-09 12:42:48 ----

Removed from aqorders.

Looking at workflows to try and spec out some enhancements to 3.2 acq. 



---- Additional Comments From gmcharlt@gmail.com 2010-02-09 13:08:47 ----

Which fields, specifically, were removed from aqorders?  There was never an aqorders.issn, for example.



---- Additional Comments From colin.campbell@ptfs-europe.com 2010-02-09 13:28:21 ----

I thought po number had gone but it, booksellerinvoicenumber and budgetdate are still in the record just removed from all displays.

issn like isbn was pulled from the associated bib.






---- Additional Comments From gmcharlt@gmail.com 2010-02-09 14:08:38 ----

The ISBN and ISSN are available in biblioitems.issn and biblioitems.isbn - a join should pull them in.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:15 UTC  ---

This bug was previously known as _bug_ 3803 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3803

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Chris Cormack 2010-12-14 08:54:15 UTC
Whats the status on this one?
Comment 2 Colin Campbell 2011-04-05 16:04:55 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2011-04-06 03:44:40 UTC
This has missed the feature freeze, but is a very small patch, so I'm allowing it
Comment 4 Katrin Fischer 2011-04-06 08:14:33 UTC
Created attachment 3723 [details] [review]
Signed off patch
Comment 5 Chris Cormack 2011-04-08 01:42:13 UTC
Pushed, please test
Comment 6 Katrin Fischer 2011-08-15 19:30:40 UTC
Works on current master.